Skip to main content
GET
/
api
/
hyperliquid
/
accounts
/
{account_id}
/
balance
cURL
curl --request GET \
  --url https://api.production.hyperoru.com/api/hyperliquid/accounts/{account_id}/balance \
  --header 'Authorization: Bearer <token>'
{
  "available": 123,
  "environment": "<string>",
  "exchange": "<string>",
  "total_equity": 123,
  "margin_used": 123,
  "unrealized_pnl": 123
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Path Parameters

account_id
integer<int32>
required

Account ID

Response

Balance snapshot

Exchange balance snapshot.

available
number<double>
required
Example:

9876.54

environment
string
required
Example:

"mainnet"

exchange
string
required
Example:

"hyperliquid"

total_equity
number<double>
required
Example:

12345.67

margin_used
number<double> | null
Example:

1500

unrealized_pnl
number<double> | null
Example:

0.05